Instaladores QGIS

Como obter o QGIS?

O QGIS está disponível gratuitamente para Windows, Linux, MacOS X, BSD, e Android.

Nós recomendamos a instalação de pacotes do nosso software lançado.

Para avaliar os lançamentos que estão para sair e permitir que não programadores suporte o desenvolvimento nós fornecemos também pacotes de teste (repare no aviso).

Na fase de paragem de funcionalidades precedente ao lançamento (veja Calendário de lançamento) testes pacotes são efetivamente pré-lançamentos, que recomendamos fortemente aos usuários para testar.

Windows

Para instaladores Windows por favor vá à Página dos instaladores principais.

Para novos usuários recomendamos os instaladores independentes.

Usuários mais avançados do QGIS podem usar os pacotes OSGeo4W, que possibilitam instalar diversas versões em paralelo.

O repositório do OSGeo4W contém diversos softwares provenientes de projectos da OSGeo. O QGIS e todas as suas dependências estão incluídas, juntamente com o Python, GRASS, GDAL, etc. O instalador permite instalar pela internet ou transferir todos os pacotes necessários de antemão. Os ficheiros transferidos são mantidos numa directoria local para instalações futuras. Os passos são:

  • Baixe o instalador OSGeo4W (32 bit ou 64 bit) e execute-o.

  • Seleccione Instalação Avançada,

  • navigate to the Desktop section

  • e escolher um ou mais dos seguintes pacotes:

    Versão Versão Pacote Descrição
    Latest Release 2.18.x Las Palmas (new LTR) qgis Versão
    qgis-rel-dev [1] Build noturno do próximo ponto de versão
    Long Term Release Repository 2.14.x Essen (previous LTR) qgis-ltr Versão
    qgis-ltr-dev [2] Build noturno do próximo ponto da versão longo prazo
    Desenvolvimento 2.99 master qgis-dev [3] Build noturno da versão de desenvolvimento
[1]Latest release nightlies SHA: 32 bit, 64 bit
[2]Latest long-term release nightlies SHA: 32 bit, 64 bit
[3]Master nightlies SHA: 32 bit, 64 bit

For users that cannot use OSGeo4W for some reason or just prefer it there is also a weekly snapshot of qgis-dev from OSGeo4W as standalone installer (taken on monday). In the feature freeze phase that also acts as release candidate.

Repare no aviso.

Nota

Não faça uma instalação cega completa do OSGeo4W. Apenas instale o QGIS e alguns componentes que quer. As dependências serão incluídas automaticamente. Uma instalação completa dos pedidos dos componentes que requerem adições de terceiros, que necessitam de ser instalados manualmente. Esses componentes renderizam a instalação instável sem essas adições.

Linux

A maioria das distribuições linux dividem QGIS em vários pacotes; você provavelmente vai precisar qgis e qgis-python (para executar plugins). Pacotes como qgis-grass (ou qgis-plugin-grass), qgis-server pode ser ignorada inicialmente, ou instalado apenas quando você precisar deles.

Abaixo encontra instruções de instalação por distribuição. Para a maioria das distribuições existem instruções para instalar o QGIS estável e instruções para instalar uma compilação para teste da versão de ponta do QGIS (repare no aviso).

Debian/Ubuntu

Os padrões de repositórios de software Debian e Ubuntu muitas vezes, mantem versões mais antigas do QGIS.

Para ter versões mais recentes, você tem que adicionar repositórios de software alternativos, através da adição de uma das deb-lines abaixo do seu arquivo /etc/apt/sources.list.

Nosso repositório principal contém múltiplas linhas de pacotes para diversas versões do Debian e Ubuntu com base nas dependências que cada distribuição fornece.

For Ubuntu we also have extra packages in a separate repository that are based on ubuntugis, which holds more uptodate versions of other GIS packages than Ubuntu itself. If you want those you also need to include ubuntugis ppa in your /etc/apt/sources.list file (see ubuntugis documentation).

Nota

The release packages are only produced once shortly after a new version has been released. As unstable, not yet released debian versions (testing) and ubuntugis can have library changes the packages might sooner or later be broken for these targets, when the development in debian, ubuntu or ubuntugis moves on and their packages used as dependencies in qgis change. In that event you can either

  • move to a stable debian version and use the released packages for it,
  • wait for the next point release (due 2018-02-23 12:00:00 UTC), which happens every month and will include the updated dependencies,
  • switch to a nightly repository (available for the two release branches and master) whose packages are rebuild on regular basis and will also pickup the updated dependencies automatically or
  • build your own set of packages (see INSTALL).

Linhas dos pacotes:

Versão Versão Descrição Repositório
Latest Release 2.18.x Las Palmas (new LTR) Lançamento para Debian e Ubuntu https://qgis.org/debian
Versão com dependencias ubuntugis https://qgis.org/ubuntugis
Build noturno do próximo ponto de versão para Debian e Ubuntu. https://qgis.org/debian-nightly-release
Build noturno do próximo ponto de versão com depencias ubuntugis https://qgis.org/ubuntugis-nightly-release
Long Term Release Repository 2.14.x Essen (previous LTR) Lançamento para Debian e Ubuntu https://qgis.org/debian-ltr
Versão com dependencias ubuntugis https://qgis.org/ubuntugis-ltr
Build noturno do próximo ponto de versão para Debian e Ubuntu. https://qgis.org/debian-nightly-ltr
Build noturno do próximo ponto de versão com depencias ubuntugis https://qgis.org/ubuntugis-nightly-ltr
Versão de Desenvolvimento 2.99.x master [4] Nightly build for Debian and Ubuntu [5] https://qgis.org/debian-nightly
Build noturno com dependencias ubuntugis https://qgis.org/ubuntugis-nightly
Next point release: 2018-02-23 12:00:00 UTC
Next release: 2018-02-23 12:00:00 UTC
(more dates see Release Schedule on Roteiro)

Versões de distribuição suportada:

Distribuição Versão Nome-do-código Também disponível com base nas dependências ubuntugis?
Debian 8.x jessie  
9.x Trecho
instável sid
Ubuntu 18.04 bionic [9]  
17.10 artful [8]  
16.04 (LTS) xenial [5] sim
14.04 (LTS) confiável sim
12.04 (LTS) precise [6] yes [7]
[4]only starting with Debian Stretch and Ubuntu Xenial (due to libqca not available for Qt5 in trusty); 3D requires Qt 5.9 and is therefore only currently available on Debian unstable and Ubuntu artful.
[5](1, 2) master para Xenial disponível apenas para ubuntugis (Xenial simples não contém GDAL 2)
[6]discontinued since QGIS 2.8.x (due to dependency on GEOS 3.4 not available in precise)
[7]apenas até a versão 2.14.x do QGIS (devido à dependência do GDAL >=1.11 não está disponível no ubuntugis precise)
[8]starting with QGIS 2.18.14
[9]starting with QGIS 2.18.22

Adicione as linhas para um dos repositórios para o seu /etc/apt/sources.list

deb     *repository* *codename* main
deb-src *repository* *codename* main

Exemplo última versão para Debian Jessie:

deb     https://qgis.org/debian jessie main
deb-src https://qgis.org/debian jessie main

After that type the commands below to install QGIS:

sudo apt-get update
sudo apt-get install qgis python-qgis qgis-plugin-grass

In case you would like to install QGIS Server (note that it’s not a common practice to install both client and server applications on the same machine), type:

sudo apt-get update
sudo apt-get install qgis-server python-qgis

Nota

Por favor, remova todos pacotes do QGIS e GRASS que possa ter instalado a partir de outros repositórios antes de efectuar a actualização.

Em caso de erro do servidor de chaves adicione a chave pública do repositório qgis.org no seu conjunto de chaves, digite:

wget -O - https://qgis.org/downloads/qgis-2017.gpg.key | gpg --import
gpg --fingerprint CAEB3DC3BDF7FB45

Deve sair:

pub   2048R/BDF7FB45 2017-08-16 [expires: 2019-08-16]
      Key fingerprint = 61E0 A086 749E 463E DE50  2255 CAEB 3DC3 BDF7 FB45
uid                  QGIS Archive Automatic Signing Key (2017) <qgis-developer@lists.osgeo.org>
sub   2048R/E959BBCF 2017-08-16 [expires: 2019-08-16]

Depois de ter verificado a impressão digital você pode adicionar a chave para o apt com

gpg --export --armor CAEB3DC3BDF7FB45 | sudo apt-key add -

Alternativamente, você pode baixar a chave de um keyserver e adicione a chave para o apt de uma só vez (sem verificação manual de impressão digital)

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-key CAEB3DC3BDF7FB45

Fedora

QGIS estável

Obtenha pacotes para qualquer versão Fedora digitando:

sudo dnf update
sudo dnf install qgis qgis-python qgis-grass qgis-server

Há um repositório alternativo para QGIS que fornece novas versões LTR https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.14-Essen/

sudo dnf copr enable neteler/liblas
sudo dnf copr enable neteler/grass70
sudo dnf copr enable neteler/QGIS-2.14-Essen

sudo dnf install qgis qgis-grass qgis-python

Para o QGIS 2.18 existe um outro repositório

sudo dnf copr enable neteler/liblas
sudo dnf copr enable neteler/grass70
sudo dnf copr enable neteler/QGIS-2.18-Las-Palmas

sudo dnf install qgis qgis-grass qgis-python

RHEL, CentOS, Scientific Linux

QGIS 1.8

Experimente o repositório ELGIS: http://elgis.argeo.org/

Nota

ELGIS exige que o repositório EPEL esteja activado, consulte http://wiki.osgeo.org/wiki/Enterprise_Linux_GIS#Note_about_Fedora.2C_ELGIS_and_EPEL

QGIS estável

A versão estável do QGIS pode ser instalada a partir de um repositório alternativo. O suporte Python é fortemente limitado devido a depêndencias antigas. Nota: é necessário, que o ELGIS e EPEL estejam também instalados.

sudo wget fedora.vitu.ch/EL/qgis.repo -P /etc/yum.repos.d/
sudo rpm --import http://fedora.vitu.ch/Fedora/RPM-GPG-Key-vitu
sudo yum update
sudo yum install qgis qgis-python qgis-grass qgis-mapserver

openSUSE

QGIS estável

O pacote openSUSE estável mais recente chamado qgis está disponível para 13.1, 13.2, Leap_42.1, Leap_42.2 e Tumbleweed (32 e 64 bit). Adicione o seguinte repositório ao seu gerenciador de instalação, juntamente com a versão openSUSE que você trabalha (ex: openSUSE_13.2).

http://download.opensuse.org/repositories/Application:/Geo/<VERSION>/

Todos os pacotes incluem o GRASS e suporte de Python.

QGIS LTR (Versão Longo Prazo)

O pacote Lançamento de Longa Duração para openSUSE chamado qgis-ltr está disponível para 13.1, 13.2, Leap_42.1, Leap_42.2 e Tumbleweed (32 e 64bit). Adicione o seguinte repositório ao seu gerenciador de instalação juntamente com a versão openSUSE que você trabalha (ex: openSUSE_13.2).

http://download.opensuse.org/repositories/Application:/Geo/<VERSION>/

Todos os pacotes incluem o GRASS e suporte de Python.

Versão de testes QGIS

Um pacote de desenvolvimento regularmente atualizado para qgis master chamado qgis-master está disponível para 13.1, 13.2, Leap_42.1, Leap_42.2 eTumbleweed (32 e 64 bit). Adicione o seguinte repositório ao seu gerenciador de instalação juntamente com a versão openSUSE que você trabalha (ex: openSUSE_13.2).

http://download.opensuse.org/repositories/Application:/Geo/<VERSION>/

Todos os pacotes incluem o GRASS e suporte de Python.

Mandriva

QGIS estável

Actual:

urpmi qgis-python qgis-grass

Slackware

QGIS estável

Pacotes em http://qgis.gotslack.org

ArchLinux

Os usuários de Archlinux são encorajados a utilizar o Arch User Repository (AUR).

Informações acerca das versões disponíveis, erros e instruções específicas para o Archlinux podem ser encontradas em: https://aur.archlinux.org/packages/?O=0&K=qgis

MacOS X

Um único pacote de instalador está disponível para Mountain Lion (10.7) e mais recentes.

QGIS estável

Instalar uma versão estável do QGIS em um MacOS requer a instalação separada de diversos frameworks de dependência <http://www.kyngchaos.com/software/frameworks>`_ (GDAL Completo and GSL). GRASS http://www.kyngchaos.com/software/grass é suportado com essa versão. Alguns módulos Python comuns http://www.kyngchaos.com/software/python estão também disponíveis para requerimentos comuns de plugins do QGIS.

A página de download do QGIS no KyngChaos http://www.kyngchaos.com/software/qgis (os requisitos da infraestrutura estão lá listados) tem mais informação.

FreeBSD

QGIS estável

Para compilar o QGIS a partir de pacotes binários digite

pkg install qgis

Versão de testes QGIS

Para compilar o QGIS das fontes no FreeBSD necessita de escrever

cd /usr/ports/graphics/qgis
make install clean

Repare no aviso.

Android

Tem uma versão experimental disponível na loja google play.

https://play.google.com/store/apps/details?id=org.qgis.qgis

Aviso

Atualmente, não há suporte para Android 5. Melhor suporte é dado para Android 4.3 e 4.4.x. Esta é uma porta direta do aplicativo de desktop QGIS. É apenas um pouco otimizado para dispositivos de toque e, portanto, precisa ser cuidadosamente avaliado quanto à sua adequação no uso do dia-a-dia. Há outros aplicativos disponíveis que são projetados e otimizados especificamente para dispositivos sensíveis ao toque.

Aviso de teste QGIS

Aviso

São fornecidos pacotes de teste para o QGIS em algumas plataformas, além da versão estável do QGIS, estão disponíveis versões de teste. Estas versões contêm software que ainda não foi lançado e no qual se está a trabalhar. Assim sendo, não existe suporte para as mesmas, que apenas se destinam a testar se determinados erros foram corrigidos ou se não foram introduzidos novos erros. A qualquer momento estas versões podem deixar de funcionar ou mesmo danificar os seus dados. Use por sua conta e risco. Considere-se avisado!

Installing from Source

Refer to the INSTALL guide on how to build and install QGIS from source for the different platforms.